%FreakLab - init.m
%
%Erstellt von Matthias Hasewend im Rahmen der bung 'Applikationssoftware
%fr Fortgeschrittene' bei Ass. Prof. Winfried Kernbichler, Institut fr
%Theoretische Physik / Computational Physics an der TU Graz im WS 2010/11.
%
%Beschreibung:
%
%Dies ist die Initialisierungsfunktion fr das gesamte Programm. Sie wird
%in FreakLab.m aufgerufen und weist den Bedienelementen ihre Callback- und
%KeyPress-Funktionen zu.

%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function handles = init(hObject,handles)

    %Zuweisungen fr FreakLab.m
    set(hObject,'WindowButtonMotionFcn','motion(gcbo,[],guidata(gcbo))');
    
    set(handles.pushbutton1,'Callback','FreakLab(''pushbutton1_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.pushbutton2,'Callback','FreakLab(''pushbutton2_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.pushbutton3,'Callback','FreakLab(''pushbutton3_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.text1,'BackgroundColor','Red');
    set(handles.pushbutton13,'Callback','FreakLab(''pushbutton13_Callback'',gcbo,[],guidata(gcbo))');
    
    set(handles.uipanel3,'Visible','on');
    set(handles.uipanel5,'Visible','off');
    set(handles.uipanel6,'Visible','off');
    set(handles.uipanel7,'Visible','off');
    
    set(handles.togglebutton1,'Value',1);
    set(handles.togglebutton1,'Callback','FreakLab(''togglebutton1_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.togglebutton2,'Callback','FreakLab(''togglebutton2_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.togglebutton3,'Callback','FreakLab(''togglebutton3_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.togglebutton4,'Callback','FreakLab(''togglebutton4_Callback'',gcbo,[],guidata(gcbo))');
    
    set(handles.pushbutton6,'Callback','FreakLab(''pushbutton6_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.pushbutton7,'Callback','FreakLab(''pushbutton7_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.pushbutton8,'Callback','FreakLab(''pushbutton8_Callback'',gcbo,[],guidata(gcbo))');
    
    set(handles.edit1,'KeyPressFcn','editupdate(gcbo,guidata(gcbo))');
    set(handles.edit2,'KeyPressFcn','editupdate(gcbo,guidata(gcbo))');
    set(handles.edit3,'KeyPressFcn','editupdate(gcbo,guidata(gcbo))');
    set(handles.edit4,'KeyPressFcn','editupdate(gcbo,guidata(gcbo))');
    set(handles.edit5,'KeyPressFcn','editupdate(gcbo,guidata(gcbo))');
    set(handles.edit6,'KeyPressFcn','editupdate(gcbo,guidata(gcbo))');
    set(handles.edit7,'KeyPressFcn','editupdate(gcbo,guidata(gcbo))');
    set(handles.edit8,'KeyPressFcn','editupdate(gcbo,guidata(gcbo))');

    %Zuweisungen fr FreakLab_opt1.m -> Bedienfeld 1
    set(handles.slider1,'Callback','FreakLab_opt1(''slider1_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.slider2,'Callback','FreakLab_opt1(''slider2_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.slider3,'Callback','FreakLab_opt1(''slider3_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.slider4,'Callback','FreakLab_opt1(''slider4_Callback'',gcbo,[],guidata(gcbo))');

    set(handles.edit1,'Callback','FreakLab_opt1(''edit1_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.edit2,'Callback','FreakLab_opt1(''edit2_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.edit3,'Callback','FreakLab_opt1(''edit3_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.edit4,'Callback','FreakLab_opt1(''edit4_Callback'',gcbo,[],guidata(gcbo))');

    set(handles.edit5,'Callback','FreakLab_opt1(''edit5_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.edit6,'Callback','FreakLab_opt1(''edit6_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.edit7,'Callback','FreakLab_opt1(''edit7_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.edit8,'Callback','FreakLab_opt1(''edit8_Callback'',gcbo,[],guidata(gcbo))');

    set(handles.checkbox1,'Callback','FreakLab_opt1(''checkbox1_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.checkbox2,'Callback','FreakLab_opt1(''checkbox2_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.checkbox3,'Callback','FreakLab_opt1(''checkbox3_Callback'',gcbo,[],guidata(gcbo))');

    %Zuweisungen fr FreakLab_opt2.m -> Bedienfeld 2
    set(handles.slider5,'Callback','FreakLab_opt2(''slider5_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.slider6,'Callback','FreakLab_opt2(''slider6_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.slider7,'Callback','FreakLab_opt2(''slider7_Callback'',gcbo,[],guidata(gcbo))');
    
    set(handles.edit9,'Callback','FreakLab_opt2(''edit9_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.edit10,'Callback','FreakLab_opt2(''edit10_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.edit11,'Callback','FreakLab_opt2(''edit11_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.edit12,'Callback','FreakLab_opt2(''edit12_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.edit13,'Callback','FreakLab_opt2(''edit13_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.edit14,'Callback','FreakLab_opt2(''edit14_Callback'',gcbo,[],guidata(gcbo))');
    
    set(handles.checkbox4,'Callback','FreakLab_opt2(''checkbox4_Callback'',gcbo,[],guidata(gcbo))');
    
    set(handles.pushbutton4,'Callback','FreakLab_opt2(''pushbutton4_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.pushbutton5,'Callback','FreakLab_opt2(''pushbutton5_Callback'',gcbo,[],guidata(gcbo))','Enable','Off');
    
    set(handles.popupmenu1,'Callback','FreakLab_opt2(''popupmenu1_Callback'',gcbo,[],guidata(gcbo))','String',{'Summand 1'});
    
    set(handles.edit9,'KeyPressFcn','editupdate(gcbo,guidata(gcbo))');
    set(handles.edit10,'KeyPressFcn','editupdate(gcbo,guidata(gcbo))');
    set(handles.edit11,'KeyPressFcn','editupdate(gcbo,guidata(gcbo))');
    set(handles.edit12,'KeyPressFcn','editupdate(gcbo,guidata(gcbo))');
    set(handles.edit13,'KeyPressFcn','editupdate(gcbo,guidata(gcbo))');
    set(handles.edit14,'KeyPressFcn','editupdate(gcbo,guidata(gcbo))');
    
    %Zuweisungen fr FreakLab_opt3.m -> Bedienfeld 3
    oper = {'Plus';'Minus';'Mal';'Bruch';'Potenz';'sqrt';'Re';'Im';'sin';'cos';'exp';'log';'tan';'abs';'angle';'tanh';'asin';'acos';'atan'};

    set(handles.slider8,'Callback','FreakLab_opt3(''slider8_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.slider9,'Callback','FreakLab_opt3(''slider9_Callback'',gcbo,[],guidata(gcbo))');
    
    set(handles.edit18,'Callback','FreakLab_opt3(''edit18_Callback'',gcbo,[],guidata(gcbo))','KeyPressFcn','press(gcbo,guidata(gcbo));');
    set(handles.edit19,'Callback','FreakLab_opt3(''edit19_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.edit20,'Callback','FreakLab_opt3(''edit20_Callback'',gcbo,[],guidata(gcbo))');
    
    set(handles.checkbox5,'Callback','FreakLab_opt3(''checkbox5_Callback'',gcbo,[],guidata(gcbo))');
    
    set(handles.pushbutton9,'Callback','FreakLab_opt3(''pushbutton9_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.pushbutton10,'Callback','FreakLab_opt3(''pushbutton10_Callback'',gcbo,[],guidata(gcbo))','Enable','Off');
    
    set(handles.popupmenu2,'Callback','FreakLab_opt3(''popupmenu2_Callback'',gcbo,[],guidata(gcbo))','String',oper);
    set(handles.popupmenu3,'Callback','FreakLab_opt3(''popupmenu3_Callback'',gcbo,[],guidata(gcbo))','String',{'Zeile 1'});
    
    set(handles.edit19,'KeyPressFcn','editupdate(gcbo,guidata(gcbo))');
    set(handles.edit20,'KeyPressFcn','editupdate(gcbo,guidata(gcbo))');
    
    %Zuweisungen fr FreakLab_opt4.m -> Bedienfeld 4
    oper = {'Plus';'Minus';'Mal';'Bruch';'Potenz';'exp';'log';'sqrt';'sin';'cos';'tan';'sinh';'cosh';'tanh';'asin';'acos';'atan';'asinh';'acosh';'atanh'};
    
    shift = {'rgb -> rgb';'rgb -> rbg';'rgb -> grb';'rgb -> gbr';'rgb -> brg';'rgb -> bgr'};
    colors = {'rot';'grn';'blau'};
    
    set(handles.edit21,'Callback','FreakLab_opt4(''edit21_Callback'',gcbo,[],guidata(gcbo))','KeyPressFcn','press(gcbo,guidata(gcbo));');

    set(handles.pushbutton11,'Callback','FreakLab_opt4(''pushbutton11_Callback'',gcbo,[],guidata(gcbo))');
    set(handles.pushbutton12,'Callback','FreakLab_opt4(''pushbutton12_Callback'',gcbo,[],guidata(gcbo))','Enable','Off');
    
    set(handles.popupmenu4,'Callback','FreakLab_opt4(''popupmenu4_Callback'',gcbo,[],guidata(gcbo))','String',colors);
    set(handles.popupmenu5,'Callback','FreakLab_opt4(''popupmenu5_Callback'',gcbo,[],guidata(gcbo))','String',shift);
    set(handles.popupmenu6,'Callback','FreakLab_opt4(''popupmenu6_Callback'',gcbo,[],guidata(gcbo))','String',{'Zeile 1'});
    set(handles.popupmenu7,'Callback','FreakLab_opt4(''popupmenu7_Callback'',gcbo,[],guidata(gcbo))','String',oper);

end