%FreakLab - trafo_1.m
%
%Erstellt von Matthias Hasewend im Rahmen der bung 'Applikationssoftware
%fr Fortgeschrittene' bei Ass. Prof. Winfried Kernbichler, Institut fr
%Theoretische Physik / Computational Physics an der TU Graz im WS 2010/11.
%
%Beschreibung:
%
%Das Skript tformgen bentigt diese Funktion zum generieren der
%Transformationsdaten fr die Holomorphe Abbildung in FreakLab_opt2.m.

%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function result = trafo_1(x,param)

    %Hier handelt es sich um eine Summe von Polynomen. Zunchst ist diese
    %Summe null
    result = zeros(size(x));
    
    %Schleife ber alle Datenzeilen
    for c = 1:size(param,1)
        
        %Falls der Vorfaktor des aktuellen Polynoms nicht gerade null
        %ist...
        if(param(c,1) == 0)
            
            continue;
        
        end
        
        %... wird die Summe um ein Polynom erhht, welches aus der
        %Datenzeile gewonnen wird
        result = result + ((x./(param(c,1))).^(param(c,4)) + complex(param(c,2),-param(c,3)));

    end
    
end