%FreakLab - trafo_2.m
%
%Erstellt von Matthias Hasewend im Rahmen der bung 'Applikationssoftware
%fr Fortgeschrittene' bei Ass. Prof. Winfried Kernbichler, Institut fr
%Theoretische Physik / Computational Physics an der TU Graz im WS 2010/11.
%
%Beschreibung:
%
%Das Skript tformgen bentigt diese Funktion zum generieren der
%Transformationsdaten fr die Allgemeine komplexe Abbildung in 
%FreakLab_opt3.m.

%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function result = trafo_2(x,param)

    stri = [];

    %Schleife ber alle Formelzeilen
    for c = 1:9

        %Gewinnen der Formelzeile
        stri2 = param(c);
        stri2 = cell2struct(stri2,{'stri2'},1);
        stri2 = stri2.stri2;
        %Zusammenfgen zu Gesamtformel
        stri = [stri,stri2];

    end

    %Aus z.B. '*' ein '.*' machen
    stri = vectorize(stri);
    %Formelstring in Inlinefunktion umwandeln
    func = inline(stri);

    %Vermeidung einer Division durch 0.
    func_2 = @(x) func(x + 1e-10);

    %Funktion anwenden
    result = func_2(x);
    
end