%FreakLab - press.m
%
%Erstellt von Matthias Hasewend im Rahmen der bung 'Applikationssoftware
%fr Fortgeschrittene' bei Ass. Prof. Winfried Kernbichler, Institut fr
%Theoretische Physik / Computational Physics an der TU Graz im WS 2010/11.
%
%Beschreibung:
%
%Mit dieser Hilfsfunktion wird in FreakLab_opt3 und FreakLab_opt4 verhindert,
%dass der String in der Formelzeile lnger wird als die Zeile selbst. Diese
%Funktion ist die KeyPressFcn von edit18 und edit21.

%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

%Wenn Zeile zu lang, gibt Fkt 1 zurck
function toolong = press(hObject,handles)

    inp = get(hObject,'String');
    
    %Fokus kurz von der Formelzeile weg...
    uicontrol(handles.text1);
    %... und wieder auf die Formelzeile hin -> Callback wird ausgefhrt
    uicontrol(hObject);

    %berprfe, wie lange der String in der Zeile bereits ist
    handles.rowleng = get(hObject,'Extent');
    handles.rowleng = handles.rowleng(3);
    
    toolong = 0;

    %Wenn zu lang...
    if(handles.rowleng >= 34)

        %...verkrze ihn um das letzte eingegebene Zeichen
        set(hObject,'String',inp(1:(length(inp) - 1)));
        %...und gibt 1 zurck
        toolong = 1;

    end
        
end