%FreakLab - undo.m
%
%Erstellt von Matthias Hasewend im Rahmen der bung 'Applikationssoftware
%fr Fortgeschrittene' bei Ass. Prof. Winfried Kernbichler, Institut fr
%Theoretische Physik / Computational Physics an der TU Graz im WS 2010/11.
%
%Beschreibung:
%
%Nachdem mithilfe von apply das transformierte Bild erzeugt wurde,
%dient diese Funktion, falls vom Benutzer gewnscht, zum Verwerfen des
%neuen und wiederherstellen des alten Bildes.
%
%Die zuvor eingegebenen Spezifikationen der durchgefhrten Transformation
%werden nach dem Verwerfen wieder angezeigt (im Gegensatz zu confirm,
%wo diese auf's Default gesetzt werden).

%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

%num gibt an, welches Bedienfeld gerade aktuell ist
function undo(hObject,eventdata,handles,num)
    
    %Altes Bild im groen Anzeigefeld anzeigen
    set(gcf,'CurrentAxes',handles.axes1);
    image(handles.image);
    axis off;
    
    %Variable fr neues Bild erhlt Default-Wert
    handles.imnew = 1;
    
    %Bedienfeld wird fr eine neuerliche eingabe wieder aktiv geschalten
    disenable(hObject,handles,'on',num);

    %Die bis hier abgearbeiteten Aktionen sind fr alle Bedienfeldnummer
    %gleich
    
    %Aktion fr Bedienfeld 1
    if(num == 1)
        
        matupdate(handles,[0,0,0,0],[0,0,0],2*ones(1,7));
        
        disp_1_1(hObject,handles);
        
    %Aktion fr Bedienfeld 2
    elseif(num == 2)

        set(handles.edit13,'String',num2str(handles.uv,'%1.2f'));
        set(handles.edit14,'String',num2str(handles.xy,'%1.2f'));
        set(handles.slider5,'Value',(handles.uv - 0.5)/1.5);
        set(handles.slider7,'Value',(handles.xy - 0.5)/1.5);
        
        set(handles.edit9,'String',num2str(handles.holtra(handles.holtrac,2),'%1.3f'));
        set(handles.edit10,'String',num2str(handles.holtra(handles.holtrac,3),'%1.3f'));
        set(handles.edit11,'String',num2str(handles.holtra(handles.holtrac,4),'%1.1f'));
        set(handles.checkbox4,'Value',handles.per);

        set(handles.edit12,'String',num2str(handles.holtra(handles.holtrac,1),'%1.2f'));

        set(handles.slider6,'Value',(handles.holtra(handles.holtrac,4) + 10)/20);
        
        disp_2_1(hObject,handles);
        
    %Aktion fr Bedienfeld 3
    elseif(num == 3)
        
        set(handles.edit19,'String',num2str(handles.uv,'%1.2f'));
        set(handles.edit20,'String',num2str(handles.xy,'%1.2f'));
        set(handles.slider8,'Value',(handles.uv - 0.5)/1.5);
        set(handles.slider9,'Value',(handles.xy - 0.5)/1.5);

        stri2 = handles.holtra(1);
        stri2 = cell2struct(stri2,{'stri2'},1);
        stri2 = stri2.stri2;

        set(handles.edit18,'String',stri2);

        set(handles.checkbox5,'Value',handles.per);
        
        disp_3_1(hObject,handles);

    %Aktion fr Bedienfeld 4
    elseif(num == 4)
        
        stri2 = handles.holtra(1,handles.holtrarow);
        stri2 = cell2struct(stri2,{'stri2'},1);
        stri2 = stri2.stri2;

        set(handles.edit21,'String',stri2);
        
        disp_4_1(hObject,handles);

    end

    guidata(hObject,handles);
    
end